Bug 7566 - SUITE: "cleanup", TEST: "autocleanup" - Expected "files in cache" to be 469, got 470
SUITE: "cleanup", TEST: "autocleanup" - Expected "files in cache" to be 469, ...
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.0
x64 Linux
: P3 normal
: 3.1
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 02:52 UTC by Timo Lindfors
Modified: 2010-09-16 12:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timo Lindfors 2010-07-13 02:52:46 UTC
Testsuite seems to fail here in my debian unstable chroot on amd64:

Script started on Tue Jul 13 03:47:06 2010
(sid)lindi1:~/tmp$ wget http://samba.org/ftp/ccache/ccache-3.0.tar.bz2 http://samba.org/ftp/ccache/ccache-3.0.tar.bz2.asc
--2010-07-13 03:47:11--  http://samba.org/ftp/ccache/ccache-3.0.tar.bz2
Resolving samba.org... 216.83.154.106
Connecting to samba.org|216.83.154.106|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 216789 (212K) [application/x-bzip2]
Saving to: `ccache-3.0.tar.bz2'

100%[================================================================================================================================>] 216,789     8189K/s   in 1.1s

2010-07-13 03:47:12 (189 KB/s) - `ccache-3.0.tar.bz2' saved [216789/216789]

--2010-07-13 03:47:12--  http://samba.org/ftp/ccache/ccache-3.0.tar.bz2.asc
Reusing existing connection to samba.org:80.
HTTP request sent, awaiting response... 200 OK
Length: 198 [text/plain]
Saving to: `ccache-3.0.tar.bz2.asc'

100%[================================================================================================================================>] 198	    --.-K/s   in 0s

2010-07-13 03:47:12 (21.8 MB/s) - `ccache-3.0.tar.bz2.asc' saved [198/198]

FINISHED --2010-07-13 03:47:12--
Downloaded: 2 files, 212K in 1.1s (189 KB/s)
(sid)lindi1:~/tmp$ gpg ccache-3.0.tar.bz2.asc
gpg: Signature made Sun Jun 20 14:16:55 2010 EDT using DSA key ID BB845E97
gpg: Good signature from "Joel Rosdahl <joel@rosdahl.net>"
gpg:		     aka "Joel Rosdahl <joel@debian.org>"
gpg:		     aka "Joel Rosdahl <joel@lysator.liu.se>"
gpg: WARNING: This key is not certified with a trusted signature!
gpg:	      There is no indication that the signature belongs to the owner.
Primary key fingerprint: 9F4B D780 6EF4 5700 778D  8B22 0064 F9FF BB84 5E97
(sid)lindi1:~/tmp$ tar xjf ccache-3.0.tar.bz2
(sid)lindi1:~/tmp$ cd ccache-3.0
(sid)lindi1:~/tmp/ccache-3.0$ ./configure
configure: Configuring ccache
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking for a BSD-compatible install... /usr/bin/install -c
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking whether time.h and sys/time.h may both be included... yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking ctype.h usability... yes
checking ctype.h presence... yes
checking for ctype.h... yes
checking pwd.h usability... yes
checking pwd.h presence... yes
checking for pwd.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking for asprintf... yes
checking for gethostname... yes
checking for getpwuid... yes
checking for gettimeofday... yes
checking for mkstemp... yes
checking for realpath... yes
checking for snprintf... yes
checking for strndup... yes
checking for utimes... yes
checking for vasprintf... yes
checking for vsnprintf... yes
checking for compar_fn_t in stdlib.h... yes
checking for C99 vsnprintf... yes
checking for zlib >= 1.2.3... yes
checking for gzdopen in -lz... yes
checking for inline... inline
checking for extern inline... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating dev.mk
config.status: creating config.h
configure: now build ccache by running make
(sid)lindi1:~/tmp/ccache-3.0$ make
gcc -g -O2 -Wall -W -I. -c -o ccache.o ccache.c
gcc -g -O2 -Wall -W -I. -c -o mdfour.o mdfour.c
gcc -g -O2 -Wall -W -I. -c -o hash.o hash.c
gcc -g -O2 -Wall -W -I. -c -o execute.o execute.c
gcc -g -O2 -Wall -W -I. -c -o util.o util.c
gcc -g -O2 -Wall -W -I. -c -o args.o args.c
gcc -g -O2 -Wall -W -I. -c -o stats.o stats.c
gcc -g -O2 -Wall -W -I. -c -o version.o version.c
gcc -g -O2 -Wall -W -I. -c -o cleanup.o cleanup.c
gcc -g -O2 -Wall -W -I. -c -o snprintf.o snprintf.c
gcc -g -O2 -Wall -W -I. -c -o unify.o unify.c
gcc -g -O2 -Wall -W -I. -c -o manifest.o manifest.c
gcc -g -O2 -Wall -W -I. -c -o hashtable.o hashtable.c
gcc -g -O2 -Wall -W -I. -c -o hashtable_itr.o hashtable_itr.c
gcc -g -O2 -Wall -W -I. -c -o murmurhashneutral2.o murmurhashneutral2.c
gcc -g -O2 -Wall -W -I. -c -o hashutil.o hashutil.c
gcc -g -O2 -Wall -W -I. -c -o getopt_long.o getopt_long.c
gcc -g -O2 -Wall -W  -o ccache ccache.o mdfour.o hash.o execute.o util.o args.o stats.o version.o cleanup.o snprintf.o unify.o manifest.o hashtable.o hashtable_itr.o murmurhashneutral2.o hashutil.o getopt_long.o -lz  -lm
(sid)lindi1:~/tmp/ccache-3.0$ make test
CC='gcc' ./test.sh
starting testsuite base
starting testsuite link
starting testsuite hardlink
starting testsuite cpp2
starting testsuite nlevels4
starting testsuite nlevels1
starting testsuite direct
starting testsuite basedir
starting testsuite compression
starting testsuite readonly
starting testsuite extrafiles
starting testsuite cleanup
SUITE: "cleanup", TEST: "autocleanup" - Expected "files in cache" to be 469, got 470
cache directory 		    /home/lindi/tmp/ccache-3.0/testdir.25609/.ccache
cache hit (direct)		       0
cache hit (preprocessed)	       0
cache miss			       1
files in cache			     470
cache size			     628 Kbytes
max files			     432
TEST FAILED
Test data and log file have been left in testdir.25609
make: *** [test] Error 1
(sid)lindi1:~/tmp/ccache-3.0$ exit
exit

Script done on Tue Jul 13 03:51:20 2010
Comment 1 Joel Rosdahl 2010-07-18 11:45:52 UTC
I've seen this failure on one of the autobuild machines for a while but I haven't been able to reproduce it myself. I tried in a Debian unstable chroot updated today, but still no luck.

Which type of file system is /home/lindi/tmp?

Could you please apply the following patch, run the test again and post (or send me) the output? Thanks.

--- cleanup.c.orig	2010-07-18 18:28:48.425812281 +0200
+++ cleanup.c	2010-07-18 18:40:53.145197926 +0200
@@ -93,17 +93,24 @@
 	files[num_files]->mtime = st->st_mtime;
 	files[num_files]->size = file_size(st) / 1024;
 	cache_size += files[num_files]->size;
+	if (getenv("CCACHE_DEBUG")) fprintf(stderr, "  DEBUG: detected %s\n", fname);
 	files_in_cache++;
 	num_files++;
 }
 
 static void delete_file(const char *path, size_t size)
 {
+	int debug = getenv("CCACHE_DEBUG") != NULL;
+	if (debug) fprintf(stderr, "  DEBUG: deleting %s: ", path);
 	if (unlink(path) == 0) {
+		if (debug) fprintf(stderr, "OK\n");
 		cache_size -= size;
 		files_in_cache--;
 	} else if (errno != ENOENT) {
 		cc_log("Failed to unlink %s (%s)", path, strerror(errno));
+		if (debug) fprintf(stderr, "errno != ENOENT\n");
+	} else {
+		if (debug) fprintf(stderr, "errno == ENOENT\n");
 	}
 }
 
--- test.sh.orig	2010-07-18 18:11:18.155226600 +0200
+++ test.sh	2010-07-18 18:25:38.257588533 +0200
@@ -1431,7 +1431,7 @@
     checkfilecount 160 '*.d' $CCACHE_DIR
     checkfilecount 160 '*.stderr' $CCACHE_DIR
     checkstat 'files in cache' 480
-    $CCACHE $COMPILER -c empty.c -o empty.o
+    CCACHE_DEBUG=1 $CCACHE $COMPILER -c empty.c -o empty.o
     # floor(0.8 * 9) = 7
     checkfilecount 157 '*.o' $CCACHE_DIR
     checkfilecount 156 '*.d' $CCACHE_DIR
Comment 2 Joel Rosdahl 2010-07-18 11:49:47 UTC
(In reply to comment #1)
> Could you please apply the following patch [...], 

Here's a version that isn't broken by Bugzilla:

http://joel.rosdahl.net/tmp/bug7566-debug.patch
Comment 3 Timo Lindfors 2010-07-18 12:56:36 UTC
~/tmp is on NFS. The testsuite passes on ext2. NFS server and client clocks should be NTP synced to ntpd running on local network and connected to GPS.

$ date -u -Ins; ssh nfs date -u -Ins; date -u -Ins
2010-07-18T17:54:14,086946482+0000
2010-07-18T17:54:14,178485323+0000
2010-07-18T17:54:14,181977253+0000

$ rpcinfo -p
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100024    1   udp  41041  status
    100024    1   tcp  40310  status
    100021    1   udp  37357  nlockmgr
    100021    3   udp  37357  nlockmgr
    100021    4   udp  37357  nlockmgr
    100021    1   tcp  49519  nlockmgr
    100021    3   tcp  49519  nlockmgr
    100021    4   tcp  49519  nlockmgr

$ ssh nfs rpcinfo -p
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100024    1   udp  47332  status
    100024    1   tcp  38142  status
    100003    2   udp   2049  nfs
    100003    3   udp   2049  nfs
    100003    4   udp   2049  nfs
    100021    1   udp  39794  nlockmgr
    100021    3   udp  39794  nlockmgr
    100021    4   udp  39794  nlockmgr
    100003    2   tcp   2049  nfs
    100003    3   tcp   2049  nfs
    100003    4   tcp   2049  nfs
    100021    1   tcp  53536  nlockmgr
    100021    3   tcp  53536  nlockmgr
    100021    4   tcp  53536  nlockmgr
    100005    1   udp  45323  mountd
    100005    1   tcp  51924  mountd
    100005    2   udp  45323  mountd
    100005    2   tcp  51924  mountd
    100005    3   udp  45323  mountd
    100005    3   tcp  51924  mountd
$ uname -r
2.6.32-5-amd64
$ ssh nfs uname -r
2.6.26-2-amd64

Output with your patch:

Script started on Sun Jul 18 13:38:59 2010
(sid)lindi1:~/tmp$ wget http://samba.org/ftp/ccache/ccache-3.0.tar.bz2
--2010-07-18 13:39:29--  http://samba.org/ftp/ccache/ccache-3.0.tar.bz2
Resolving samba.org... 216.83.154.106
Connecting to samba.org|216.83.154.106|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 216789 (212K) [application/x-bzip2]
Saving to: `ccache-3.0.tar.bz2'

100%[==========================================================================================================================================================================>] 216,789     8192K/s	in 1.1s

2010-07-18 13:39:31 (192 KB/s) - `ccache-3.0.tar.bz2' saved [216789/216789]

(sid)lindi1:~/tmp$ wget http://samba.org/ftp/ccache/ccache-3.0.tar.bz2.asc
--2010-07-18 13:39:47--  http://samba.org/ftp/ccache/ccache-3.0.tar.bz2.asc
Resolving samba.org... 216.83.154.106
Connecting to samba.org|216.83.154.106|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 198 [text/plain]
Saving to: `ccache-3.0.tar.bz2.asc'

100%[==========================================================================================================================================================================>] 198	      --.-K/s	in 0s

2010-07-18 13:39:47 (22.0 MB/s) - `ccache-3.0.tar.bz2.asc' saved [198/198]

(sid)lindi1:~/tmp$ gpg ccache-3.0.tar.bz2.asc
gpg: Signature made Sun Jun 20 14:16:55 2010 EDT using DSA key ID BB845E97
gpg: Good signature from "Joel Rosdahl <joel@rosdahl.net>"
gpg:		     aka "Joel Rosdahl <joel@debian.org>"
gpg:		     aka "Joel Rosdahl <joel@lysator.liu.se>"
gpg: WARNING: This key is not certified with a trusted signature!
gpg:	      There is no indication that the signature belongs to the owner.
Primary key fingerprint: 9F4B D780 6EF4 5700 778D  8B22 0064 F9FF BB84 5E97
(sid)lindi1:~/tmp$ tar xjf ccache-3.0.tar.bz2
(sid)lindi1:~/tmp$ cd ccache-3.0
(sid)lindi1:~/tmp/ccache-3.0$ wget http://joel.rosdahl.net/tmp/bug7566-debug.patch
--2010-07-18 13:40:44--  http://joel.rosdahl.net/tmp/bug7566-debug.patch
Resolving joel.rosdahl.net... 85.112.160.60
Connecting to joel.rosdahl.net|85.112.160.60|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1334 (1.3K) [text/x-diff]
Saving to: `bug7566-debug.patch'

100%[==========================================================================================================================================================================>] 1,334       --.-K/s	in 0s

2010-07-18 13:40:44 (127 MB/s) - `bug7566-debug.patch' saved [1334/1334]

(sid)lindi1:~/tmp/ccache-3.0$ cat -A bug7566-debug.patch
--- cleanup.c.orig^I2010-07-18 18:28:48.425812281 +0200$
+++ cleanup.c^I2010-07-18 18:40:53.145197926 +0200$
@@ -93,17 +93,24 @@$
 ^Ifiles[num_files]->mtime = st->st_mtime;$
 ^Ifiles[num_files]->size = file_size(st) / 1024;$
 ^Icache_size += files[num_files]->size;$
+^Iif (getenv("CCACHE_DEBUG")) fprintf(stderr, "  DEBUG: detected %s\n", fname);$
 ^Ifiles_in_cache++;$
 ^Inum_files++;$
 }$
 $
 static void delete_file(const char *path, size_t size)$
 {$
+^Iint debug = getenv("CCACHE_DEBUG") != NULL;$
+^Iif (debug) fprintf(stderr, "  DEBUG: deleting %s: ", path);$
 ^Iif (unlink(path) == 0) {$
+^I^Iif (debug) fprintf(stderr, "OK\n");$
 ^I^Icache_size -= size;$
 ^I^Ifiles_in_cache--;$
 ^I} else if (errno != ENOENT) {$
 ^I^Icc_log("Failed to unlink %s (%s)", path, strerror(errno));$
+^I^Iif (debug) fprintf(stderr, "errno != ENOENT\n");$
+^I} else {$
+^I^Iif (debug) fprintf(stderr, "errno == ENOENT\n");$
 ^I}$
 }$
 $
--- test.sh.orig^I2010-07-18 18:11:18.155226600 +0200$
+++ test.sh^I2010-07-18 18:25:38.257588533 +0200$
@@ -1431,7 +1431,7 @@$
     checkfilecount 160 '*.d' $CCACHE_DIR$
     checkfilecount 160 '*.stderr' $CCACHE_DIR$
     checkstat 'files in cache' 480$
-    $CCACHE $COMPILER -c empty.c -o empty.o$
+    CCACHE_DEBUG=1 $CCACHE $COMPILER -c empty.c -o empty.o$
     # floor(0.8 * 9) = 7$
     checkfilecount 157 '*.o' $CCACHE_DIR$
     checkfilecount 156 '*.d' $CCACHE_DIR$
(sid)lindi1:~/tmp/ccache-3.0$ patch -p0 < bug7566-debug.patch
patching file cleanup.c
patching file test.sh
(sid)lindi1:~/tmp/ccache-3.0$ ./configure
configure: Configuring ccache
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking for a BSD-compatible install... /usr/bin/install -c
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking whether time.h and sys/time.h may both be included... yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking ctype.h usability... yes
checking ctype.h presence... yes
checking for ctype.h... yes
checking pwd.h usability... yes
checking pwd.h presence... yes
checking for pwd.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking for asprintf... yes
checking for gethostname... yes
checking for getpwuid... yes
checking for gettimeofday... yes
checking for mkstemp... yes
checking for realpath... yes
checking for snprintf... yes
checking for strndup... yes
checking for utimes... yes
checking for vasprintf... yes
checking for vsnprintf... yes
checking for compar_fn_t in stdlib.h... yes
checking for C99 vsnprintf... yes
checking for zlib >= 1.2.3... yes
checking for gzdopen in -lz... yes
checking for inline... inline
checking for extern inline... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating dev.mk
config.status: creating config.h
configure: now build ccache by running make
(sid)lindi1:~/tmp/ccache-3.0$ make
gcc -g -O2 -Wall -W -I. -c -o ccache.o ccache.c
gcc -g -O2 -Wall -W -I. -c -o mdfour.o mdfour.c
gcc -g -O2 -Wall -W -I. -c -o hash.o hash.c
gcc -g -O2 -Wall -W -I. -c -o execute.o execute.c
gcc -g -O2 -Wall -W -I. -c -o util.o util.c
gcc -g -O2 -Wall -W -I. -c -o args.o args.c
gcc -g -O2 -Wall -W -I. -c -o stats.o stats.c
gcc -g -O2 -Wall -W -I. -c -o version.o version.c
gcc -g -O2 -Wall -W -I. -c -o cleanup.o cleanup.c
gcc -g -O2 -Wall -W -I. -c -o snprintf.o snprintf.c
gcc -g -O2 -Wall -W -I. -c -o unify.o unify.c
gcc -g -O2 -Wall -W -I. -c -o manifest.o manifest.c
gcc -g -O2 -Wall -W -I. -c -o hashtable.o hashtable.c
gcc -g -O2 -Wall -W -I. -c -o hashtable_itr.o hashtable_itr.c
gcc -g -O2 -Wall -W -I. -c -o murmurhashneutral2.o murmurhashneutral2.c
gcc -g -O2 -Wall -W -I. -c -o hashutil.o hashutil.c
gcc -g -O2 -Wall -W -I. -c -o getopt_long.o getopt_long.c
gcc -g -O2 -Wall -W  -o ccache ccache.o mdfour.o hash.o execute.o util.o args.o stats.o version.o cleanup.o snprintf.o unify.o manifest.o hashtable.o hashtable_itr.o murmurhashneutral2.o hashutil.o getopt_long.o -lz  -lm
(sid)lindi1:~/tmp/ccache-3.0$ make test
CC='gcc' ./test.sh
starting testsuite base
starting testsuite link
starting testsuite hardlink
starting testsuite cpp2
starting testsuite nlevels4
starting testsuite nlevels1
starting testsuite direct
starting testsuite basedir
starting testsuite compression
starting testsuite readonly
starting testsuite extrafiles
starting testsuite cleanup
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result1-4017.d
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result5-4017.d
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result6-4017.d
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result0-4017.stderr
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result1-4017.o
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result3-4017.stderr
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result7-4017.o
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result9-4017.d
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result2-4017.o
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result9-4017.o
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result8-4017.d
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result8-4017.o
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result1-4017.stderr
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result5-4017.stderr
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result0-4017.d
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result3-4017.o
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result5-4017.o
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result6-4017.o
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result4-4017.stderr
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result0-4017.o
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result2-4017.d
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/2/dda1757714eb2b51e113cd4b2e5e6d-168.o
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/2/.nfs0000000004af472200000221
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result9-4017.stderr
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result6-4017.stderr
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result4-4017.d
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result3-4017.d
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result8-4017.stderr
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result7-4017.stderr
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result2-4017.stderr
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result4-4017.o
  DEBUG: detected /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result7-4017.d
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result6-4017.o: OK
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result6-4017.d: OK
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result6-4017.stderr: OK
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result7-4017.o: OK
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result7-4017.d: OK
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result7-4017.stderr: OK
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result8-4017.o: OK
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result8-4017.d: OK
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result8-4017.stderr: OK
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result9-4017.o: OK
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result9-4017.d: OK
  DEBUG: deleting /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache/7/result9-4017.stderr: OK
SUITE: "cleanup", TEST: "autocleanup" - Expected "files in cache" to be 469, got 470
cache directory 		    /home/lindi/tmp/ccache-3.0/testdir.25166/.ccache
cache hit (direct)		       0
cache hit (preprocessed)	       0
cache miss			       1
files in cache			     470
cache size			     628 Kbytes
max files			     432
TEST FAILED
Test data and log file have been left in testdir.25166
make: *** [test] Error 1
(sid)lindi1:~/tmp/ccache-3.0$ exit
exit

Script done on Sun Jul 18 13:44:48 2010
Comment 4 Joel Rosdahl 2010-07-19 04:57:30 UTC
Fixed in 56b8c877b0e5c4e28bb38d8cfa9573c1633dd1f4 by ignoring the temporary .nfs* files. Thanks!